# Тут проще посмотреть в интернете что такое Ханойские башни
# По поводу программирования: нужно запрограммировать саму формулу подсчета количества шагов
# Нужно написать ф-цию которая принимает кол-во дисков и возвращает минимальное кол-во
# ходов за которое можно решить

disks = int(input('Введите количество дисков для игры в Ханнойские башни: '))

def solve_hanoi_tower(disks):
    steps = 2**disks - 1
    return print('Для Ханойской башни с ' + str(disks) + ' дисками\nминимальное количество шагов для решения ' + str(steps))


solve_hanoi_tower(disks)